Bug 1459297 - Display notification message when search on Provider Topology page returns no records
Display notification message when search on Provider Topology page returns no...
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.8.0
Unspecified Unspecified
medium Severity medium
: GA
: 5.8.1
Assigned To: Martin Hradil
Nandini Chandra
ui:topology
: ZStream
Depends On: 1445857
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-06 14:01 EDT by Satoe Imaishi
Modified: 2017-08-02 13:27 EDT (History)
7 users (show)

See Also:
Fixed In Version: 5.8.1.0
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1445857
Environment:
Last Closed: 2017-08-02 13:27:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: CFME Core


Attachments (Terms of Use)

  None (edit)
Comment 2 CFME Bot 2017-06-08 09:48:49 EDT
New commit detected on ManageIQ/manageiq-ui-classic/fine:
https://github.com/ManageIQ/manageiq-ui-classic/commit/87966ac97eb9de64e9675e4256bd0761395deaea

commit 87966ac97eb9de64e9675e4256bd0761395deaea
Author:     Dan Clarizio <dclarizi@redhat.com>
AuthorDate: Tue May 9 10:40:12 2017 -0700
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Jun 8 09:34:46 2017 -0400

    Merge pull request #1277 from himdel/topology-not-found
    
    Topology - indicate no results when searching
    (cherry picked from commit 9c1c9725cac763f57f91d8e5531b8c4818aac78d)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1459297

 .../cloud_topology/cloud_topology_controller.js    | 14 +-------
 .../container_topology_controller.js               | 16 ++-------
 .../infra_topology/infra_topology_controller.js    | 16 ++-------
 .../middleware_topology_controller.js              | 16 ++-------
 .../network_topology_controller.js                 | 16 ++-------
 .../physical_infra_topology_controller.js          | 16 ++-------
 .../javascripts/services/topology_service.js       | 40 ++++++++++++++++++++--
 app/assets/stylesheets/topology.css                | 10 ++++++
 app/views/cloud_topology/show.html.haml            |  3 ++
 app/views/container_topology/show.html.haml        |  3 ++
 app/views/infra_topology/show.html.haml            |  3 ++
 app/views/middleware_topology/show.html.haml       |  3 ++
 app/views/network_topology/show.html.haml          |  3 ++
 app/views/physical_infra_topology/show.html.haml   |  3 ++
 app/views/shared/topology/_not_found.html.haml     |  5 +++
 15 files changed, 82 insertions(+), 85 deletions(-)
 create mode 100644 app/views/shared/topology/_not_found.html.haml
Comment 5 Nandini Chandra 2017-07-13 01:15:35 EDT
Ignore comment # 4. This BZ was verified in 5.8.1.2.
Comment 7 errata-xmlrpc 2017-08-02 13:27:25 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1758

Note You need to log in before you can comment on or make changes to this bug.